Subject: [Ace] Shepard comments draft-ietf-ace-coap-est-08

From: Jim Schaad <[email-masked]>
Date: Sat, 16 Feb 2019 11:55:31 -0800

1.  In section 10.1 the last sentence of the first paragraph and the first
sentence of the last paragraph duplicate each other.  This should be cleaned
up.

2.  Correct the grammar in the first sentence of section 10.2 -  s/registers
a new/registers new/

3.  The correct example DNS name is est-coaps.example.org not
est-coaps.example.ietf.org.   Please correct this.  (See RFC 2606)

4.  The query in section 5.1 to a resource directory is not correct.  It
would not go to /.well-known/core but to /rd-lookup (or what ever name is
used by the RD).   If this is not intended to be an RD query, then the
sentence about it above can be omitted.  

5.  Please remove the "anchor" target attribute from the response from the
RD.  I believe that this is no longer required and it is just adding noise
without adding value.  If this is intended to be from well-known then it is
sufficient to have the anchor but not to  have the authority section in the
href.  

</est>;rt="ace.est";anchor="coaps://2001:db8::123]:61617"

6.  You have registered 282 and 283 as content types, however you also do
not define anything that uses these types.  Either some text about the
content types needs to exist or potentially the registrations should be
abandoned.

7.  There is an outstanding review from Klaus that needs to be addressed.

8.  There is still an open issue dealing with content types.  I have
requested that this be added to the agenda for the next CoRE interim
meeting.

Jim

---

From: Peter van der Stok <[email-masked]>
Date: Mon, 18 Feb 2019 15:13:53 +0100

Hi Jim,

thanks for the review.
see below.

Peter
Jim Schaad schreef op 2019-02-16 20:55:

> <pvds>removed the 2nd instance </pvds>
> 
> <pvds> done </pvds>
> <pvds> sorry about that, corrected that everywhere </pvds>
> 
> <pvds> removed anchor because query to server and not RD </pvds>
> 
> <pvds> Removed anchor, see above, but left the authority section because of port example. </pvds>
> 
> <pvds>are needed for other future anima documents, but have them removed </pvds>
> 
> <pvds> we are working on it. will discuss answers to-morrow between authors </pvds>
> 
> <pvds> Absolutely. we hope for additional text elsewhere </pvds>
> 
> Jim

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Mon, 18 Feb 2019 17:53:58 +0000

Hi Jim,

About 

> 4.  The query in section 5.1 to a resource directory is not correct.  It would not go to /.well-known/core but to /rd-lookup (or what ever name is used by the RD).   If this is not intended to be an RD query, then the sentence about it above can be omitted.  

> 5.  Please remove the "anchor" target attribute from the response from the RD.  I believe that this is no longer required and it is just adding noise without adding value.  If this is intended to be from well-known then it is sufficient to have the anchor but not to  have the authority section in the href.   </est>;rt="ace.est";anchor="coaps://2001:db8::123]:61617"

The text will now read 
~~~~~~~~~~~
Discoverable port numbers can be returned in the payload An example response payload for non-default CoAPS server port 61617 follows below. Linefeeds were included only for readability.

  REQ: GET /.well-known/core?rt=ace.est*

  RES: 2.05 Content
<coap://[2001:db8:3::123]:61617/est>;rt="ace.est", 
<coap://[2001:db8:3::123]:61617/est/crts>;rt="ace.est.crts"; ct="281 TBD287", 
<coap://[2001:db8:3::123]:61617/est/sen>;rt="ace.est.sen";ct="281 TBD287", 
<coap://[2001:db8:3::123]:61617/est/sren>;rt="ace.est.sren";ct="281 TBD287",
<coap://[2001:db8:3::123]:61617/est/att>;rt="ace.est.att";ct="285",
<coap://[2001:db8:3::123]:61617/est/skg>;rt="ace.est.skg";ct="62 280 284 281 TBD287"
~~~~~~~~~~~

What do you think? Does it address your two comments 4 and 5?

Rgs,
Panos

-----Original Message-----
From: Ace <[email-masked]> On Behalf Of Jim Schaad
Sent: Saturday, February 16, 2019 2:56 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Ace] Shepard comments draft-ietf-ace-coap-est-08

1.  In section 10.1 the last sentence of the first paragraph and the first sentence of the last paragraph duplicate each other.  This should be cleaned up.

2.  Correct the grammar in the first sentence of section 10.2 -  s/registers a new/registers new/

4.  The query in section 5.1 to a resource directory is not correct.  It would not go to /.well-known/core but to /rd-lookup (or what ever name is
used by the RD).   If this is not intended to be an RD query, then the
sentence about it above can be omitted.  

5.  Please remove the "anchor" target attribute from the response from the RD.  I believe that this is no longer required and it is just adding noise without adding value.  If this is intended to be from well-known then it is sufficient to have the anchor but not to  have the authority section in the href.  

6.  You have registered 282 and 283 as content types, however you also do not define anything that uses these types.  Either some text about the content types needs to exist or potentially the registrations should be abandoned.

8.  There is still an open issue dealing with content types.  I have requested that this be added to the agenda for the next CoRE interim meeting.

Jim

_______________________________________________
Ace mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ace

---

From: Jim Schaad <[email-masked]>
Date: Mon, 18 Feb 2019 10:14:54 -0800

> From: Panos Kampanakis (pkampana) <[email-masked]>
> Sent: Monday, February 18, 2019 9:54 AM
> To: Jim Schaad <[email-masked]>; [email-masked]
> Cc: [email-masked]
> Subject: RE: [Ace] Shepard comments draft-ietf-ace-coap-est-08
> 
> Hi Jim,
> 
> About
> 
would
> not go to /.well-known/core but to /rd-lookup (or what ever name is used
by
> the RD).   If this is not intended to be an RD query, then the sentence
about it
> above can be omitted.
> 
> > 5.  Please remove the "anchor" target attribute from the response from
> the RD.  I believe that this is no longer required and it is just adding
noise
> href.   </est>;rt="ace.est";anchor="coaps://2001:db8::123]:61617"
> 
> The text will now read
> ~~~~~~~~~~~
> Discoverable port numbers can be returned in the payload An example
> response payload for non-default CoAPS server port 61617 follows below.
> Linefeeds were included only for readability.
> 
> <coap://[2001:db8:3::123]:61617/est/skg>;rt="ace.est.skg";ct="62 280 284

Yes that would be just fine.  The only possible comment is that you should
be using 'coaps' not 'coap' to say that this is a DTLS schema.

Jim

> 2.  Correct the grammar in the first sentence of section 10.2 -
s/registers a
> new/registers new/
would not
> go to /.well-known/core but to /rd-lookup (or what ever name is
without
> adding value.  If this is intended to be from well-known then it is
sufficient to
> have the anchor but not to  have the authority section in the href.
> 
requested
> that this be added to the agenda for the next CoRE interim meeting.
> 
> Jim
> 
> 
>

---

From: "Panos Kampanakis (pkampana)" <[email-masked]>
Date: Thu, 21 Feb 2019 03:39:55 +0000

Thanks Jim. We have addressed all of them in the upcoming next iteration.

We also have addressed Klaus' feedbacks and will send a response to him this week.

The only issue left is the embedded content types which is being discussed as you know. 

Panos

-----Original Message-----
From: Ace <[email-masked]> On Behalf Of Jim Schaad
Sent: Saturday, February 16, 2019 2:56 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Ace] Shepard comments draft-ietf-ace-coap-est-08

Jim